Subject: Re: [PATCH 1/2] bridge: leave carrier on for empty bridge

From: Ang Way Chuang <[email-masked]>
Date: Sat, 03 Sep 2011 11:15:41 +0900

On 03/09/11 07:11, Stephen Hemminger wrote:
> On Fri, 02 Sep 2011 23:39:03 +0200
> Nicolas de Pesloüan <[email-masked]> wrote:
>
>> Le 02/09/2011 19:22, Stephen Hemminger a écrit :
>>> This resolves a regression seen by some users of bridging.
>>> Some users use the bridge like a dummy device.
>>> They expect to be able to put an IPv6 address on the device
>>> with no ports attached during boot.
>>>
>>> Note: the bridge still will reflect the state of ports in the
>>> bridge if there are any added.

Guilty as charged :) It's a valid use case in libvirtd. Thanks for the patch. I've tried your patch.
It doesn't work. There is still no carrier. Thing still break. The whole of commit
1faa4356a including the part where liveports is used to toggle carrier has to be reverted. Otherwise, it doesn't work.
I've tried that on my machine.

>> Doesn't this jeopardize the behavior introduced in 1faa4356a3bd89ea11fb92752d897cff3a20ec0e
>> "bridge: control carrier based on ports online"?
>>
>> If the user starts the DHCP client before adding the first port to the bridge, the DHCP client will 
>> have a carrier and start the autoconfiguration process. This was the old behavior, but you fixed it.
>>
>> 	Nicolas.
>>
> There is no perfect solution.
> If DHCP works then IPv6 breaks?

A more ideal solution in this case is to add the option to enabling carrier on sysfs and modify libvirtd
to turn on the carrier if IPv6 is enabled. But it will still break the existing configuration until everyone
upgrade to the latest libvirtd and kernel. Since there is no other complain from other user with this setup,
I guess nobody actually assigns IPv6 to libvirtd network device at this moment (partly because virt-manager
doesn't expose that functionality yet??).

> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>